com.example.labstatus.ui.SL2

## Class RecyclerViewAdapterSL2.ViewHolder

- java.lang.Object
- - androidx.recyclerview.widget.RecyclerView.ViewHolder
  - - com.example.labstatus.ui.SL2.RecyclerViewAdapterSL2.ViewHolder

All Implemented Interfaces:
  android.view.View.OnClickListener

Enclosing class:
  RecyclerViewAdapterSL2

    public class RecyclerViewAdapterSL2.ViewHolder
    extends androidx.recyclerview.widget.RecyclerView.ViewHolder
    implements android.view.View.OnClickListener

### Field Summary

Fields
`(package private) SL2ViewModel` `item`
`android.widget.RelativeLayout` `relativeLayout`
`android.widget.TextView` `textView`

### Fields inherited from class androidx.recyclerview.widget.RecyclerView.ViewHolder

`itemView`

### Constructor Summary

Constructors
Constructor and Description
`ViewHolder(android.view.View v)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onClick(android.view.View view)`
`void` `setData(SL2ViewModel item)`

### Methods inherited from class androidx.recyclerview.widget.RecyclerView.ViewHolder

`getAdapterPosition, getItemId, getItemViewType, getLayoutPosition, getOldPosition, getPosition, isRecyclable, setIsRecyclable, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### item

    SL2ViewModel item

#### relativeLayout

    public android.widget.RelativeLayout relativeLayout

#### textView

    public android.widget.TextView textView

### Constructor Detail

#### ViewHolder

    public ViewHolder(android.view.View v)

### Method Detail

#### onClick

    public void onClick(android.view.View view)

Specified by:
  `onClick` in interface `android.view.View.OnClickListener`

#### setData

    public void setData(SL2ViewModel item)